Download it now!
Bug 88269 - FILESAVE / EDITING:becomes non-responsive if a database opened for editing is saved as a new file name whilst a report is open for editing.
Summary: FILESAVE / EDITING:becomes non-responsive if a database opened for editing is...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: x86-64 (AMD64) All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-10 14:34 UTC by James B. Byrne
Modified: 2019-12-03 14:29 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James B. Byrne 2015-01-10 14:34:45 UTC
LO opens the spinning colour wheel of death and becomes non-responsive if a database opened for editing is saved as a new file name whilst a report is open for editing.  When the focus is returned to the report builder window a notice that the connection to the database has been lost. The user is then given the choice of attempting to reconnect or not.  Attempting to reconnect causes LO Base to enter a non-responsive state.  

The open windows in LO may be moved and the gui refreshes when this is done but none of the controls, toolbars or menu items respond to mouse selection. Nor to the corner controls of the OSX interface respond.  The only solution is to force quit the application from the OS. 

The LO Base did not change to the newly saved odb document and when LO was reopened after the forced quit it was the original odb document that needed recovery.  This is unexpected as the other components of LO switch editing focus to the new document name when save as is used.
Comment 1 raal 2015-01-11 16:34:17 UTC
I can confirm with Version: 4.5.0.0.alpha0+
Build ID: a272f5b7b30f356418ecf28eb95d066f081d1624
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-01-09_09:50:59
Comment 2 QA Administrators 2016-01-17 20:01:44 UTC Comment hidden (obsolete)
Comment 3 James B. Byrne 2016-01-18 14:32:53 UTC
This bug is still present in v.5.0.3.2 on CentOS-6.7
Comment 4 QA Administrators 2017-03-06 13:42:23 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-12-03 14:29:30 UTC
Dear James B. Byrne,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug